テスト購入を返金する(サンドボックスのみ)
サンドボックス専用(それ以外は404)。必要なスコープ: products:write。本文なし。キーの所有者本人が購入者の、その商品の成立済みの注文をすべて返金する。購入権の失効は返金のWebhookの経路で行う(この要求ではDBを書かない)。対象が無ければ200(nothing_to_refund)で、打ち直しても失敗しない。
POST
/products/{product_id}/test-purchase/refund認証
AuthorizationBearer トークン · header必須管理画面または CLI の cozeni login で発行したクリエイターAPIキー。購入者認証には使わない。
パスパラメーター
product_idstring必須最小長 1 · 最大長 200
レスポンス
200
返金を依頼した(refunded)、または対象が無い(nothing_to_refund)。
statusstring必須許可される値:
refundednothing_to_refundrefund_countinteger必須最小 0
400
invalid_input。未知フィールド、無効なcursor・入力を含む。
errorobject必須プロパティを表示プロパティを非表示
codestring必須messagestring必須request_idstring必須401
unauthorized。失効、期限切れ、環境違いを含む。
errorobject必須プロパティを表示プロパティを非表示
codestring必須messagestring必須request_idstring必須403
insufficient_scope。
errorobject必須プロパティを表示プロパティを非表示
codestring必須messagestring必須request_idstring必須404
not_found(サンドボックス以外)/ product_not_found(他人の商品・存在しない商品)。
errorobject必須プロパティを表示プロパティを非表示
codestring必須messagestring必須request_idstring必須409
creator_not_ready(売上の受け取り先が未登録・販売者の情報が未承認など。blockers は GET /account の sales.blockers と同じ)/ product_archived / checkout_link_disabled / subscription_not_supported(サブスクの商品はテスト購入できない)。
いずれか:
ExternalSalesBlockedError
errorobject必須プロパティを表示プロパティを非表示
codestring必須許可される値:
creator_not_readymessagestring必須request_idstring必須blockersExternalSalesBlocker[]必須プロパティを表示プロパティを非表示
ExternalSalesBlocker の配列いずれか 1 つ:
object
codestring必須許可される値:
review_not_submittedreview_pendingstripe_not_connectedstripe_onboarding_incompletestripe_verification_pendingaction_urlstring<uri>必須object
codestring必須許可される値:
review_rejectedaction_urlstring<uri>必須rejectionobject必須プロパティを表示プロパティを非表示
reason_codestring必須許可される値:
tokushoho_missing_contacttokushoho_unreachablewebsite_unreachabledescription_insufficientprohibited_contentothernotestring | null必須ExternalError
errorobject必須プロパティを表示プロパティを非表示
codestring必須messagestring必須request_idstring必須429
rate_limited。
errorobject必須プロパティを表示プロパティを非表示
codestring必須messagestring必須request_idstring必須500
internal。
errorobject必須プロパティを表示プロパティを非表示
codestring必須messagestring必須request_idstring必須502
stripe_error。Stripe の処理に失敗した。打ち直せる。
errorobject必須プロパティを表示プロパティを非表示
codestring必須messagestring必須request_idstring必須503
unavailable。
errorobject必須プロパティを表示プロパティを非表示
codestring必須messagestring必須request_idstring必須